try {
	let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
	n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "673d359f-ab49-422a-975e-983773b4c488", e._sentryDebugIdIdentifier = "sentry-dbid-673d359f-ab49-422a-975e-983773b4c488");
} catch (e) {}
import { a as Icon, r as useTranslation } from "./translation-Br5wIPO-.js";
import { i as TaskStatuses } from "./taskStatus-CvMqhrOK.js";
import cx from "classnames";
import { jsx, jsxs } from "preact/jsx-runtime";
var Status_module_default = {
	status: "adyen-kyc-status",
	"status-icon": "adyen-kyc-status-icon",
	statusIcon: "adyen-kyc-status-icon",
	"status-text": "adyen-kyc-status-text",
	statusText: "adyen-kyc-status-text",
	"status-text-responsive": "adyen-kyc-status-text-responsive",
	statusTextResponsive: "adyen-kyc-status-text-responsive",
	"status-neutral": "adyen-kyc-status-neutral",
	statusNeutral: "adyen-kyc-status-neutral",
	"status-error": "adyen-kyc-status-error",
	statusError: "adyen-kyc-status-error",
	"status-warning": "adyen-kyc-status-warning",
	statusWarning: "adyen-kyc-status-warning",
	"status-success": "adyen-kyc-status-success",
	statusSuccess: "adyen-kyc-status-success"
};
//#endregion
//#region src/components/ui/atoms/Status/Status.tsx
/**
* Displays a UI for visually discribing a success, error, warning or neutral status.
*
*
* @example
* ```jsx
* <Status icon="checkmark" text="Complete" variant="success" />
* ```
*
* @param text String (required)
* @param icon IconName. Default: 'circle-small-filled'.
* @param variant 'success', 'error', 'neutral', 'warning'. Default: 'neutral'.
*/
var variantStyles = {
	success: Status_module_default.statusSuccess,
	error: Status_module_default.statusError,
	neutral: Status_module_default.statusNeutral,
	warning: Status_module_default.statusWarning
};
var Status = ({ text, icon = "circle-small-filled", variant = "neutral", responsive = true }) => {
	const rootClassname = cx(Status_module_default.status, variantStyles[variant]);
	const textClassname = cx(Status_module_default.statusText, { [Status_module_default.statusTextResponsive]: responsive });
	return /* @__PURE__ */ jsxs("div", {
		role: "status",
		className: rootClassname,
		children: [/* @__PURE__ */ jsx("div", {
			className: Status_module_default.statusIcon,
			children: /* @__PURE__ */ jsx(Icon, { name: icon })
		}), /* @__PURE__ */ jsx("div", {
			className: textClassname,
			children: text
		})]
	});
};
//#endregion
//#region src/components/Shared/TaskVerificationStatus/TaskVerificationStatus.tsx
/**
* Displays a Task/Verification Status for an entity.
*
*
* @example
* ```jsx
* <TaskVerificationStatus status={TaskStatus} />
* ```
*
* @param status TaskStatus (required)
*/
var TaskVerificationStatus = ({ status, responsive }) => {
	const { t } = useTranslation("ui");
	switch (status) {
		case TaskStatuses.DETAILS_REQUIRED: return /* @__PURE__ */ jsx(Status, {
			icon: "warning",
			text: t(($) => $["incomplete"]),
			variant: "warning",
			responsive
		});
		case TaskStatuses.ERROR: return /* @__PURE__ */ jsx(Status, {
			icon: "field-error",
			text: t(($) => $["actionNeeded"]),
			variant: "error",
			responsive
		});
		case TaskStatuses.FINISHED: return /* @__PURE__ */ jsx(Status, {
			icon: "checkmark",
			text: t(($) => $["verified"]),
			variant: "success",
			responsive
		});
		case TaskStatuses.PROCESSING: return /* @__PURE__ */ jsx(Status, {
			icon: "clock",
			text: t(($) => $["inReview"]),
			responsive
		});
		case TaskStatuses.DOWNLOAD:
		case TaskStatuses.SIGNED: return /* @__PURE__ */ jsx(Status, {
			icon: "checkmark",
			text: t(($) => $["signed"]),
			variant: "success",
			responsive
		});
		case "inviteSent": return /* @__PURE__ */ jsx(Status, {
			icon: "mail",
			text: t(($) => $["inviteSent"]),
			variant: "neutral",
			responsive
		});
		default: return null;
	}
};
//#endregion
export { TaskVerificationStatus as t };
